- Qt 5.15
- Qt Location
- QML Types
- MapObjectView QML Type
- Qt 5.15.19 Reference Documentation

# MapObjectView QML Type

The MapObjectView is used to populate Map with map objects from a model. More...

Import Statement: | import Qt.labs.location 1.0

- List of all members, including inherited members

## Properties

- delegate : Component
- model : Variant

## Methods

- void addMapObject(MapObject object)
- void removeMapObject(MapObject object)

## Detailed Description

The MapObjectView is used to populate Map with map objects, either from a model or via addMapObject or removeMapObject.

The MapObjectView type only makes sense when contained in a Map, meaning that it will not work when added inside other QML elements. This can also be intended as an object layer on top of a Map.

## Property Documentation

delegate : Component

This property holds the delegate which defines how each item in the model should be displayed. The Component must contain exactly one QGeoMapObject -derived object as the root object.

model : Variant

This property holds the model that provides data used for creating the map items defined by the delegate. Only QAbstractItemModel based models are supported.

## Method Documentation

void addMapObject(MapObject object)

Adds the given object to the MapObjectView (for example MapIconObject, MapRouteObject), and, indirectly, to the underlying map. If the object already is on the MapObjectView, it will not be added again.

See also removeMapObject.

void removeMapObject(MapObject object)

Removes the given object from the MapObjectView (for example MapIconObject, MapRouteObject), and, indirectly, from the underlying map.

See also addMapObject.